OSDN Git Service

Add NIOS2 support. Code from SourceyG++.
[pf3gnuchains/gcc-fork.git] / libstdc++-v3 / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17 VPATH = @srcdir@
18 pkgdatadir = $(datadir)/@PACKAGE@
19 pkgincludedir = $(includedir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkglibexecdir = $(libexecdir)/@PACKAGE@
22 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23 install_sh_DATA = $(install_sh) -c -m 644
24 install_sh_PROGRAM = $(install_sh) -c
25 install_sh_SCRIPT = $(install_sh) -c
26 INSTALL_HEADER = $(INSTALL_DATA)
27 transform = $(program_transform_name)
28 NORMAL_INSTALL = :
29 PRE_INSTALL = :
30 POST_INSTALL = :
31 NORMAL_UNINSTALL = :
32 PRE_UNINSTALL = :
33 POST_UNINSTALL = :
34 build_triplet = @build@
35 host_triplet = @host@
36 target_triplet = @target@
37 DIST_COMMON = $(top_srcdir)/fragment.am README ChangeLog \
38         $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
39         $(top_srcdir)/configure $(am__configure_deps) \
40         $(srcdir)/config.h.in $(srcdir)/../mkinstalldirs \
41         $(top_srcdir)/scripts/testsuite_flags.in
42 subdir = .
43 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44 am__aclocal_m4_deps = $(top_srcdir)/../config/enable.m4 \
45         $(top_srcdir)/../config/futex.m4 \
46         $(top_srcdir)/../config/iconv.m4 \
47         $(top_srcdir)/../config/lead-dot.m4 \
48         $(top_srcdir)/../config/lib-ld.m4 \
49         $(top_srcdir)/../config/lib-link.m4 \
50         $(top_srcdir)/../config/lib-prefix.m4 \
51         $(top_srcdir)/../config/multi.m4 \
52         $(top_srcdir)/../config/no-executables.m4 \
53         $(top_srcdir)/../config/override.m4 \
54         $(top_srcdir)/../config/stdint.m4 \
55         $(top_srcdir)/../config/unwind_ipinfo.m4 \
56         $(top_srcdir)/../libtool.m4 $(top_srcdir)/../ltoptions.m4 \
57         $(top_srcdir)/../ltsugar.m4 $(top_srcdir)/../ltversion.m4 \
58         $(top_srcdir)/../lt~obsolete.m4 $(top_srcdir)/crossconfig.m4 \
59         $(top_srcdir)/linkage.m4 $(top_srcdir)/acinclude.m4 \
60         $(top_srcdir)/../config/tls.m4 $(top_srcdir)/configure.ac
61 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
62         $(ACLOCAL_M4)
63 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
64  configure.lineno config.status.lineno
65 CONFIG_HEADER = config.h
66 CONFIG_CLEAN_FILES = scripts/testsuite_flags
67 CONFIG_CLEAN_VPATH_FILES =
68 depcomp =
69 am__depfiles_maybe =
70 SOURCES =
71 MULTISRCTOP = 
72 MULTIBUILDTOP = 
73 MULTIDIRS = 
74 MULTISUBDIR = 
75 MULTIDO = true
76 MULTICLEAN = true
77 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
78         html-recursive info-recursive install-data-recursive \
79         install-dvi-recursive install-exec-recursive \
80         install-html-recursive install-info-recursive \
81         install-pdf-recursive install-ps-recursive install-recursive \
82         installcheck-recursive installdirs-recursive pdf-recursive \
83         ps-recursive uninstall-recursive
84 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
85   distclean-recursive maintainer-clean-recursive
86 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
87         $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS
88 ETAGS = etags
89 CTAGS = ctags
90 DIST_SUBDIRS = include libsupc++ doc src po testsuite python
91 ABI_TWEAKS_SRCDIR = @ABI_TWEAKS_SRCDIR@
92 ACLOCAL = @ACLOCAL@
93 ALLOCATOR_H = @ALLOCATOR_H@
94 ALLOCATOR_NAME = @ALLOCATOR_NAME@
95 AMTAR = @AMTAR@
96 AR = @AR@
97 AS = @AS@
98 ATOMICITY_SRCDIR = @ATOMICITY_SRCDIR@
99 ATOMIC_FLAGS = @ATOMIC_FLAGS@
100 ATOMIC_WORD_SRCDIR = @ATOMIC_WORD_SRCDIR@
101 AUTOCONF = @AUTOCONF@
102 AUTOHEADER = @AUTOHEADER@
103 AUTOMAKE = @AUTOMAKE@
104 AWK = @AWK@
105 BASIC_FILE_CC = @BASIC_FILE_CC@
106 BASIC_FILE_H = @BASIC_FILE_H@
107 CC = @CC@
108 CCODECVT_CC = @CCODECVT_CC@
109 CCOLLATE_CC = @CCOLLATE_CC@
110 CCTYPE_CC = @CCTYPE_CC@
111 CFLAGS = @CFLAGS@
112 CLOCALE_CC = @CLOCALE_CC@
113 CLOCALE_H = @CLOCALE_H@
114 CLOCALE_INTERNAL_H = @CLOCALE_INTERNAL_H@
115 CMESSAGES_CC = @CMESSAGES_CC@
116 CMESSAGES_H = @CMESSAGES_H@
117 CMONEY_CC = @CMONEY_CC@
118 CNUMERIC_CC = @CNUMERIC_CC@
119 CPP = @CPP@
120 CPPFLAGS = @CPPFLAGS@
121 CPU_DEFINES_SRCDIR = @CPU_DEFINES_SRCDIR@
122 CSTDIO_H = @CSTDIO_H@
123 CTIME_CC = @CTIME_CC@
124 CTIME_H = @CTIME_H@
125 CXX = @CXX@
126 CXXCPP = @CXXCPP@
127 CXXFLAGS = @CXXFLAGS@
128 CYGPATH_W = @CYGPATH_W@
129 C_INCLUDE_DIR = @C_INCLUDE_DIR@
130 DEBUG_FLAGS = @DEBUG_FLAGS@
131 DEFS = @DEFS@
132 DSYMUTIL = @DSYMUTIL@
133 DUMPBIN = @DUMPBIN@
134 ECHO_C = @ECHO_C@
135 ECHO_N = @ECHO_N@
136 ECHO_T = @ECHO_T@
137 EGREP = @EGREP@
138 ERROR_CONSTANTS_SRCDIR = @ERROR_CONSTANTS_SRCDIR@
139 EXEEXT = @EXEEXT@
140 EXTRA_CXX_FLAGS = @EXTRA_CXX_FLAGS@
141 FGREP = @FGREP@
142 GLIBCXX_INCLUDES = @GLIBCXX_INCLUDES@
143 GLIBCXX_LIBS = @GLIBCXX_LIBS@
144 GREP = @GREP@
145 INSTALL = @INSTALL@
146 INSTALL_DATA = @INSTALL_DATA@
147 INSTALL_PROGRAM = @INSTALL_PROGRAM@
148 INSTALL_SCRIPT = @INSTALL_SCRIPT@
149 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
150 LD = @LD@
151 LDFLAGS = @LDFLAGS@
152 LIBICONV = @LIBICONV@
153 LIBOBJS = @LIBOBJS@
154 LIBS = @LIBS@
155 LIBSUPCXX_PICFLAGS = @LIBSUPCXX_PICFLAGS@
156 LIBTOOL = @LIBTOOL@
157 LIPO = @LIPO@
158 LN_S = @LN_S@
159 LTLIBICONV = @LTLIBICONV@
160 LTLIBOBJS = @LTLIBOBJS@
161 MAINT = @MAINT@
162 MAKEINFO = @MAKEINFO@
163 MKDIR_P = @MKDIR_P@
164 NM = @NM@
165 NMEDIT = @NMEDIT@
166 OBJDUMP = @OBJDUMP@
167 OBJEXT = @OBJEXT@
168 OPTIMIZE_CXXFLAGS = @OPTIMIZE_CXXFLAGS@
169 OPT_LDFLAGS = @OPT_LDFLAGS@
170 OS_INC_SRCDIR = @OS_INC_SRCDIR@
171 OTOOL = @OTOOL@
172 OTOOL64 = @OTOOL64@
173 PACKAGE = @PACKAGE@
174 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
175 PACKAGE_NAME = @PACKAGE_NAME@
176 PACKAGE_STRING = @PACKAGE_STRING@
177 PACKAGE_TARNAME = @PACKAGE_TARNAME@
178 PACKAGE_URL = @PACKAGE_URL@
179 PACKAGE_VERSION = @PACKAGE_VERSION@
180 PATH_SEPARATOR = @PATH_SEPARATOR@
181 RANLIB = @RANLIB@
182 SECTION_FLAGS = @SECTION_FLAGS@
183 SECTION_LDFLAGS = @SECTION_LDFLAGS@
184 SED = @SED@
185 SET_MAKE = @SET_MAKE@
186 SHELL = @SHELL@
187 STRIP = @STRIP@
188 SYMVER_FILE = @SYMVER_FILE@
189 TOPLEVEL_INCLUDES = @TOPLEVEL_INCLUDES@
190 USE_NLS = @USE_NLS@
191 VERSION = @VERSION@
192 WARN_FLAGS = @WARN_FLAGS@
193 WERROR = @WERROR@
194 abs_builddir = @abs_builddir@
195 abs_srcdir = @abs_srcdir@
196 abs_top_builddir = @abs_top_builddir@
197 abs_top_srcdir = @abs_top_srcdir@
198 ac_ct_CC = @ac_ct_CC@
199 ac_ct_CXX = @ac_ct_CXX@
200 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
201 am__leading_dot = @am__leading_dot@
202 am__tar = @am__tar@
203 am__untar = @am__untar@
204 baseline_dir = @baseline_dir@
205 bindir = @bindir@
206 build = @build@
207 build_alias = @build_alias@
208 build_cpu = @build_cpu@
209 build_os = @build_os@
210 build_vendor = @build_vendor@
211 builddir = @builddir@
212 check_msgfmt = @check_msgfmt@
213 datadir = @datadir@
214 datarootdir = @datarootdir@
215 docdir = @docdir@
216 dvidir = @dvidir@
217 enable_shared = @enable_shared@
218 enable_static = @enable_static@
219 exec_prefix = @exec_prefix@
220 glibcxx_MOFILES = @glibcxx_MOFILES@
221 glibcxx_PCHFLAGS = @glibcxx_PCHFLAGS@
222 glibcxx_POFILES = @glibcxx_POFILES@
223 glibcxx_builddir = @glibcxx_builddir@
224 glibcxx_localedir = @glibcxx_localedir@
225 glibcxx_prefixdir = @glibcxx_prefixdir@
226 glibcxx_srcdir = @glibcxx_srcdir@
227 glibcxx_thread_h = @glibcxx_thread_h@
228 glibcxx_toolexecdir = @glibcxx_toolexecdir@
229 glibcxx_toolexeclibdir = @glibcxx_toolexeclibdir@
230 gxx_include_dir = @gxx_include_dir@
231 host = @host@
232 host_alias = @host_alias@
233 host_cpu = @host_cpu@
234 host_os = @host_os@
235 host_vendor = @host_vendor@
236 htmldir = @htmldir@
237 includedir = @includedir@
238 infodir = @infodir@
239 install_sh = @install_sh@
240 libdir = @libdir@
241 libexecdir = @libexecdir@
242 libtool_VERSION = @libtool_VERSION@
243 localedir = @localedir@
244 localstatedir = @localstatedir@
245 mandir = @mandir@
246 mkdir_p = @mkdir_p@
247 multi_basedir = @multi_basedir@
248 oldincludedir = @oldincludedir@
249 pdfdir = @pdfdir@
250 port_specific_symbol_files = @port_specific_symbol_files@
251 prefix = @prefix@
252 program_transform_name = @program_transform_name@
253 psdir = @psdir@
254 sbindir = @sbindir@
255 sharedstatedir = @sharedstatedir@
256 srcdir = @srcdir@
257 sysconfdir = @sysconfdir@
258 target = @target@
259 target_alias = @target_alias@
260 target_cpu = @target_cpu@
261 target_os = @target_os@
262 target_vendor = @target_vendor@
263 top_build_prefix = @top_build_prefix@
264 top_builddir = @top_builddir@
265 top_srcdir = @top_srcdir@
266 toplevel_srcdir = @toplevel_srcdir@
267
268 # May be used by various substitution variables.
269 gcc_version := $(shell cat $(top_srcdir)/../gcc/BASE-VER)
270 MAINT_CHARSET = latin1
271 mkinstalldirs = $(SHELL) $(toplevel_srcdir)/mkinstalldirs
272 PWD_COMMAND = $${PWDCMD-pwd}
273 STAMP = echo timestamp >
274 toolexecdir = $(glibcxx_toolexecdir)
275 toolexeclibdir = $(glibcxx_toolexeclibdir)
276
277 # These bits are all figured out from configure.  Look in acinclude.m4
278 # or configure.ac to see how they are set.  See GLIBCXX_EXPORT_FLAGS.
279 CONFIG_CXXFLAGS = \
280         $(SECTION_FLAGS) $(EXTRA_CXX_FLAGS)
281
282 WARN_CXXFLAGS = \
283         $(WARN_FLAGS) $(WERROR) -fdiagnostics-show-location=once
284
285
286 # -I/-D flags to pass when compiling.
287 AM_CPPFLAGS = $(GLIBCXX_INCLUDES)
288 @GLIBCXX_HOSTED_TRUE@hosted_source = doc src po testsuite
289 SUBDIRS = include libsupc++ $(hosted_source) python
290 ACLOCAL_AMFLAGS = -I . -I .. -I ../config
291
292 # Multilib support.
293 MAKEOVERRIDES = 
294
295 # Work around what appears to be a GNU make bug handling MAKEFLAGS
296 # values defined in terms of make variables, as is the case for CC and
297 # friends when we are called from the top level Makefile.
298 AM_MAKEFLAGS = \
299         "AR_FLAGS=$(AR_FLAGS)" \
300         "CC_FOR_BUILD=$(CC_FOR_BUILD)" \
301         "CC_FOR_TARGET=$(CC_FOR_TARGET)" \
302         "CFLAGS=$(CFLAGS)" \
303         "CXXFLAGS=$(CXXFLAGS)" \
304         "CFLAGS_FOR_BUILD=$(CFLAGS_FOR_BUILD)" \
305         "CFLAGS_FOR_TARGET=$(CFLAGS_FOR_TARGET)" \
306         "INSTALL=$(INSTALL)" \
307         "INSTALL_DATA=$(INSTALL_DATA)" \
308         "INSTALL_PROGRAM=$(INSTALL_PROGRAM)" \
309         "INSTALL_SCRIPT=$(INSTALL_SCRIPT)" \
310         "LDFLAGS=$(LDFLAGS)" \
311         "LIBCFLAGS=$(LIBCFLAGS)" \
312         "LIBCFLAGS_FOR_TARGET=$(LIBCFLAGS_FOR_TARGET)" \
313         "MAKE=$(MAKE)" \
314         "MAKEINFO=$(MAKEINFO) $(MAKEINFOFLAGS)" \
315         "PICFLAG=$(PICFLAG)" \
316         "PICFLAG_FOR_TARGET=$(PICFLAG_FOR_TARGET)" \
317         "SHELL=$(SHELL)" \
318         "RUNTESTFLAGS=$(RUNTESTFLAGS)" \
319         "exec_prefix=$(exec_prefix)" \
320         "infodir=$(infodir)" \
321         "libdir=$(libdir)" \
322         "includedir=$(includedir)" \
323         "prefix=$(prefix)" \
324         "tooldir=$(tooldir)" \
325         "gxx_include_dir=$(gxx_include_dir)" \
326         "AR=$(AR)" \
327         "AS=$(AS)" \
328         "LD=$(LD)" \
329         "RANLIB=$(RANLIB)" \
330         "NM=$(NM)" \
331         "NM_FOR_BUILD=$(NM_FOR_BUILD)" \
332         "NM_FOR_TARGET=$(NM_FOR_TARGET)" \
333         "DESTDIR=$(DESTDIR)" \
334         "WERROR=$(WERROR)"
335
336
337 # Subdir rules rely on $(FLAGS_TO_PASS)
338 FLAGS_TO_PASS = $(AM_MAKEFLAGS)
339 all: config.h
340         $(MAKE) $(AM_MAKEFLAGS) all-recursive
341
342 .SUFFIXES:
343 am--refresh:
344         @:
345 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/fragment.am $(am__configure_deps)
346         @for dep in $?; do \
347           case '$(am__configure_deps)' in \
348             *$$dep*) \
349               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign --ignore-deps'; \
350               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign --ignore-deps \
351                 && exit 0; \
352               exit 1;; \
353           esac; \
354         done; \
355         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign --ignore-deps Makefile'; \
356         $(am__cd) $(top_srcdir) && \
357           $(AUTOMAKE) --foreign --ignore-deps Makefile
358 .PRECIOUS: Makefile
359 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
360         @case '$?' in \
361           *config.status*) \
362             echo ' $(SHELL) ./config.status'; \
363             $(SHELL) ./config.status;; \
364           *) \
365             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
366             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
367         esac;
368
369 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
370         $(SHELL) ./config.status --recheck
371
372 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
373         $(am__cd) $(srcdir) && $(AUTOCONF)
374 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
375         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
376 $(am__aclocal_m4_deps):
377
378 config.h: stamp-h1
379         @if test ! -f $@; then \
380           rm -f stamp-h1; \
381           $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
382         else :; fi
383
384 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
385         @rm -f stamp-h1
386         cd $(top_builddir) && $(SHELL) ./config.status config.h
387 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
388         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
389         rm -f stamp-h1
390         touch $@
391
392 distclean-hdr:
393         -rm -f config.h stamp-h1
394 scripts/testsuite_flags: $(top_builddir)/config.status $(top_srcdir)/scripts/testsuite_flags.in
395         cd $(top_builddir) && $(SHELL) ./config.status $@
396
397 mostlyclean-libtool:
398         -rm -f *.lo
399
400 clean-libtool:
401         -rm -rf .libs _libs
402
403 distclean-libtool:
404         -rm -f libtool config.lt
405
406 # GNU Make needs to see an explicit $(MAKE) variable in the command it
407 # runs to enable its job server during parallel builds.  Hence the
408 # comments below.
409 all-multi:
410         $(MULTIDO) $(AM_MAKEFLAGS) DO=all multi-do # $(MAKE)
411 install-multi:
412         $(MULTIDO) $(AM_MAKEFLAGS) DO=install multi-do # $(MAKE)
413
414 mostlyclean-multi:
415         $(MULTICLEAN) $(AM_MAKEFLAGS) DO=mostlyclean multi-clean # $(MAKE)
416 clean-multi:
417         $(MULTICLEAN) $(AM_MAKEFLAGS) DO=clean multi-clean # $(MAKE)
418 distclean-multi:
419         $(MULTICLEAN) $(AM_MAKEFLAGS) DO=distclean multi-clean # $(MAKE)
420 maintainer-clean-multi:
421         $(MULTICLEAN) $(AM_MAKEFLAGS) DO=maintainer-clean multi-clean # $(MAKE)
422
423 # This directory's subdirectories are mostly independent; you can cd
424 # into them and run `make' without going through this Makefile.
425 # To change the values of `make' variables: instead of editing Makefiles,
426 # (1) if the variable is set in `config.status', edit `config.status'
427 #     (which will cause the Makefiles to be regenerated when you run `make');
428 # (2) otherwise, pass the desired values on the `make' command line.
429 $(RECURSIVE_TARGETS):
430         @fail= failcom='exit 1'; \
431         for f in x $$MAKEFLAGS; do \
432           case $$f in \
433             *=* | --[!k]*);; \
434             *k*) failcom='fail=yes';; \
435           esac; \
436         done; \
437         dot_seen=no; \
438         target=`echo $@ | sed s/-recursive//`; \
439         list='$(SUBDIRS)'; for subdir in $$list; do \
440           echo "Making $$target in $$subdir"; \
441           if test "$$subdir" = "."; then \
442             dot_seen=yes; \
443             local_target="$$target-am"; \
444           else \
445             local_target="$$target"; \
446           fi; \
447           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
448           || eval $$failcom; \
449         done; \
450         if test "$$dot_seen" = "no"; then \
451           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
452         fi; test -z "$$fail"
453
454 $(RECURSIVE_CLEAN_TARGETS):
455         @fail= failcom='exit 1'; \
456         for f in x $$MAKEFLAGS; do \
457           case $$f in \
458             *=* | --[!k]*);; \
459             *k*) failcom='fail=yes';; \
460           esac; \
461         done; \
462         dot_seen=no; \
463         case "$@" in \
464           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
465           *) list='$(SUBDIRS)' ;; \
466         esac; \
467         rev=''; for subdir in $$list; do \
468           if test "$$subdir" = "."; then :; else \
469             rev="$$subdir $$rev"; \
470           fi; \
471         done; \
472         rev="$$rev ."; \
473         target=`echo $@ | sed s/-recursive//`; \
474         for subdir in $$rev; do \
475           echo "Making $$target in $$subdir"; \
476           if test "$$subdir" = "."; then \
477             local_target="$$target-am"; \
478           else \
479             local_target="$$target"; \
480           fi; \
481           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
482           || eval $$failcom; \
483         done && test -z "$$fail"
484 tags-recursive:
485         list='$(SUBDIRS)'; for subdir in $$list; do \
486           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
487         done
488 ctags-recursive:
489         list='$(SUBDIRS)'; for subdir in $$list; do \
490           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
491         done
492
493 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
494         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
495         unique=`for i in $$list; do \
496             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
497           done | \
498           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
499               END { if (nonempty) { for (i in files) print i; }; }'`; \
500         mkid -fID $$unique
501 tags: TAGS
502 ctags: CTAGS
503 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
504                 $(TAGS_FILES) $(LISP)
505         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
506         unique=`for i in $$list; do \
507             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
508           done | \
509           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
510               END { if (nonempty) { for (i in files) print i; }; }'`; \
511         test -z "$(CTAGS_ARGS)$$unique" \
512           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
513              $$unique
514
515 GTAGS:
516         here=`$(am__cd) $(top_builddir) && pwd` \
517           && $(am__cd) $(top_srcdir) \
518           && gtags -i $(GTAGS_ARGS) "$$here"
519
520 distclean-tags:
521         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
522
523 distdir: $(DISTFILES)
524         $(am__remove_distdir)
525         test -d "$(distdir)" || mkdir "$(distdir)"
526         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
527         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
528         list='$(DISTFILES)'; \
529           dist_files=`for file in $$list; do echo $$file; done | \
530           sed -e "s|^$$srcdirstrip/||;t" \
531               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
532         case $$dist_files in \
533           */*) $(MKDIR_P) `echo "$$dist_files" | \
534                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
535                            sort -u` ;; \
536         esac; \
537         for file in $$dist_files; do \
538           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
539           if test -d $$d/$$file; then \
540             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
541             if test -d "$(distdir)/$$file"; then \
542               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
543             fi; \
544             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
545               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
546               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
547             fi; \
548             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
549           else \
550             test -f "$(distdir)/$$file" \
551             || cp -p $$d/$$file "$(distdir)/$$file" \
552             || exit 1; \
553           fi; \
554         done
555         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
556           if test "$$subdir" = .; then :; else \
557             test -d "$(distdir)/$$subdir" \
558             || $(MKDIR_P) "$(distdir)/$$subdir" \
559             || exit 1; \
560           fi; \
561         done
562         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
563           if test "$$subdir" = .; then :; else \
564             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
565             $(am__relativize); \
566             new_distdir=$$reldir; \
567             dir1=$$subdir; dir2="$(top_distdir)"; \
568             $(am__relativize); \
569             new_top_distdir=$$reldir; \
570             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
571             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
572             ($(am__cd) $$subdir && \
573               $(MAKE) $(AM_MAKEFLAGS) \
574                 top_distdir="$$new_top_distdir" \
575                 distdir="$$new_distdir" \
576                 am__remove_distdir=: \
577                 am__skip_length_check=: \
578                 am__skip_mode_fix=: \
579                 distdir) \
580               || exit 1; \
581           fi; \
582         done
583         -test -n "$(am__skip_mode_fix)" \
584         || find "$(distdir)" -type d ! -perm -755 \
585                 -exec chmod u+rwx,go+rx {} \; -o \
586           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
587           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
588           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
589         || chmod -R a+r "$(distdir)"
590 dist-gzip: distdir
591         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
592         $(am__remove_distdir)
593
594 dist-bzip2: distdir
595         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
596         $(am__remove_distdir)
597
598 dist-lzma: distdir
599         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
600         $(am__remove_distdir)
601
602 dist-xz: distdir
603         tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
604         $(am__remove_distdir)
605
606 dist-tarZ: distdir
607         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
608         $(am__remove_distdir)
609
610 dist-shar: distdir
611         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
612         $(am__remove_distdir)
613
614 dist-zip: distdir
615         -rm -f $(distdir).zip
616         zip -rq $(distdir).zip $(distdir)
617         $(am__remove_distdir)
618
619 dist dist-all: distdir
620         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
621         $(am__remove_distdir)
622
623 # This target untars the dist file and tries a VPATH configuration.  Then
624 # it guarantees that the distribution is self-contained by making another
625 # tarfile.
626 distcheck: dist
627         case '$(DIST_ARCHIVES)' in \
628         *.tar.gz*) \
629           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
630         *.tar.bz2*) \
631           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
632         *.tar.lzma*) \
633           lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
634         *.tar.xz*) \
635           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
636         *.tar.Z*) \
637           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
638         *.shar.gz*) \
639           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
640         *.zip*) \
641           unzip $(distdir).zip ;;\
642         esac
643         chmod -R a-w $(distdir); chmod a+w $(distdir)
644         mkdir $(distdir)/_build
645         mkdir $(distdir)/_inst
646         chmod a-w $(distdir)
647         test -d $(distdir)/_build || exit 0; \
648         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
649           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
650           && am__cwd=`pwd` \
651           && $(am__cd) $(distdir)/_build \
652           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
653             $(DISTCHECK_CONFIGURE_FLAGS) \
654           && $(MAKE) $(AM_MAKEFLAGS) \
655           && $(MAKE) $(AM_MAKEFLAGS) dvi \
656           && $(MAKE) $(AM_MAKEFLAGS) check \
657           && $(MAKE) $(AM_MAKEFLAGS) install \
658           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
659           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
660           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
661                 distuninstallcheck \
662           && chmod -R a-w "$$dc_install_base" \
663           && ({ \
664                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
665                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
666                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
667                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
668                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
669               } || { rm -rf "$$dc_destdir"; exit 1; }) \
670           && rm -rf "$$dc_destdir" \
671           && $(MAKE) $(AM_MAKEFLAGS) dist \
672           && rm -rf $(DIST_ARCHIVES) \
673           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
674           && cd "$$am__cwd" \
675           || exit 1
676         $(am__remove_distdir)
677         @(echo "$(distdir) archives ready for distribution: "; \
678           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
679           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
680 distuninstallcheck:
681         @$(am__cd) '$(distuninstallcheck_dir)' \
682         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
683            || { echo "ERROR: files left after uninstall:" ; \
684                 if test -n "$(DESTDIR)"; then \
685                   echo "  (check DESTDIR support)"; \
686                 fi ; \
687                 $(distuninstallcheck_listfiles) ; \
688                 exit 1; } >&2
689 distcleancheck: distclean
690         @if test '$(srcdir)' = . ; then \
691           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
692           exit 1 ; \
693         fi
694         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
695           || { echo "ERROR: files left in build directory after distclean:" ; \
696                $(distcleancheck_listfiles) ; \
697                exit 1; } >&2
698 check-am: all-am
699 check: check-recursive
700 all-am: Makefile all-multi config.h
701 installdirs: installdirs-recursive
702 installdirs-am:
703 install: install-recursive
704 install-exec: install-exec-recursive
705 install-data: install-data-recursive
706 uninstall: uninstall-recursive
707
708 install-am: all-am
709         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
710
711 installcheck: installcheck-recursive
712 install-strip:
713         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
714           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
715           `test -z '$(STRIP)' || \
716             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
717 mostlyclean-generic:
718
719 clean-generic:
720
721 distclean-generic:
722         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
723         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
724
725 maintainer-clean-generic:
726         @echo "This command is intended for maintainers to use"
727         @echo "it deletes files that may require special tools to rebuild."
728 clean: clean-multi clean-recursive
729
730 clean-am: clean-generic clean-libtool mostlyclean-am
731
732 distclean: distclean-multi distclean-recursive
733         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
734         -rm -f Makefile
735 distclean-am: clean-am distclean-generic distclean-hdr \
736         distclean-libtool distclean-tags
737
738 dvi: dvi-recursive
739
740 dvi-am:
741
742 html: html-recursive
743
744 html-am:
745
746 info: info-recursive
747
748 info-am:
749
750 install-data-am:
751
752 install-dvi: install-dvi-recursive
753
754 install-dvi-am:
755
756 install-exec-am: install-multi
757
758 install-html: install-html-recursive
759
760 install-html-am:
761
762 install-info: install-info-recursive
763
764 install-info-am:
765
766 install-man:
767
768 install-pdf: install-pdf-recursive
769
770 install-pdf-am:
771
772 install-ps: install-ps-recursive
773
774 install-ps-am:
775
776 installcheck-am:
777
778 maintainer-clean: maintainer-clean-multi maintainer-clean-recursive
779         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
780         -rm -rf $(top_srcdir)/autom4te.cache
781         -rm -f Makefile
782 maintainer-clean-am: distclean-am maintainer-clean-generic
783
784 mostlyclean: mostlyclean-multi mostlyclean-recursive
785
786 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
787
788 pdf: pdf-recursive
789
790 pdf-am:
791
792 ps: ps-recursive
793
794 ps-am:
795
796 uninstall-am:
797
798 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all all-multi \
799         clean-multi ctags-recursive distclean-multi install-am \
800         install-multi install-strip maintainer-clean-multi \
801         mostlyclean-multi tags-recursive
802
803 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
804         all all-am all-multi am--refresh check check-am clean \
805         clean-generic clean-libtool clean-multi ctags ctags-recursive \
806         distclean distclean-generic distclean-hdr distclean-libtool \
807         distclean-multi distclean-tags dvi dvi-am html html-am info \
808         info-am install install-am install-data install-data-am \
809         install-dvi install-dvi-am install-exec install-exec-am \
810         install-html install-html-am install-info install-info-am \
811         install-man install-multi install-pdf install-pdf-am \
812         install-ps install-ps-am install-strip installcheck \
813         installcheck-am installdirs installdirs-am maintainer-clean \
814         maintainer-clean-generic maintainer-clean-multi mostlyclean \
815         mostlyclean-generic mostlyclean-libtool mostlyclean-multi pdf \
816         pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
817
818
819 # Handy forwarding targets.
820 check-%:
821         cd testsuite && $(MAKE) $@
822
823 doc-%:
824         cd doc && $(MAKE) $@
825
826 # All the machinations with string instantiations messes up the
827 # automake-generated TAGS rule. Make a simple one here.
828 TAGS: tags-recursive $(LISP)
829
830 # Tell versions [3.59,3.63) of GNU make to not export all variables.
831 # Otherwise a system limit (for SysV at least) may be exceeded.
832 .NOEXPORT: